/*
 * @Author: zhoux zhouxia@supervision.ltd
 * @Date: 2023-11-01 13:56:33
 * @LastEditors: zhoux zhouxia@supervision.ltd
 * @LastEditTime: 2023-11-30 17:10:53
 * @FilePath: \general-ai-platform-web\src\locales\zh-CN.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import component from './zh-CN/component';
import globalHeader from './zh-CN/globalHeader';
import menu from './zh-CN/menu';
import pages from './zh-CN/pages';
import pwa from './zh-CN/pwa';
import settingDrawer from './zh-CN/settingDrawer';
import settings from './zh-CN/settings';
import common from './zh-CN/common';
import app from './zh-CN/app';
import {interface_api, dynamic_menu, api, role, user, post, department, operation_record} from "@/locales/zh-CN/system";
import * as analysisZh from "@/locales/zh-CN/analysis";
import * as errorTypesZh from "@/locales/zh-CN/errorTypes";
import * as deviceZh from "@/locales/zh-CN/device";
import * as resourceZh from "@/locales/zh-CN/resource";
import * as projectZh from "@/locales/zh-CN/project";
export default {
  'navBar.lang': '语言',
  'layout.user.link.help': '帮助',
  'layout.user.link.privacy': '隐私',
  'layout.user.link.terms': '条款',
  'app.copyright.produced': '苏胜天',
  'app.preview.down.block': '下载此页面到本地项目',
  'app.welcome.link.fetch-blocks': '获取全部区块',
  'app.welcome.link.block-list': '基于 block 开发，快速构建标准页面',
  ...pages,
  ...globalHeader,
  ...menu,
  ...settingDrawer,
  ...settings,
  ...pwa,
  ...common,
  ...component,
  ...interface_api, ...dynamic_menu, ...api, ...role, ...user, ...post, ...department, ...operation_record,
  ...app,

  ...Object.assign({}, ...Object.values(analysisZh)),
  ...Object.assign({}, ...Object.values(errorTypesZh)),
  ...Object.assign({}, ...Object.values(deviceZh)),
  ...Object.assign({}, ...Object.values(resourceZh)),
  ...Object.assign({}, ...Object.values(projectZh)),
};
